---
title: 補償要求の更新
slug: cADa8xSs70Gg9Q07aNHaa
createdAt: 2025-08-12T21:15:13.775Z
---

{
  "id": "wrmYJokaBYm_Dl15IodzX",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://endpoint.YOURDOMAIN.com/compensationrequestupdatenotification",
    "servers": [
      {
        "url": "https://endpoint.YOURDOMAIN.com/compensationrequestupdatenotification"
      }
    ],
    "name": "Compensation request update",
    "description": "フォルターから商人システムに通常送信されるグレーエリアの決定に関する通知",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "timestamp",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "リクエストが商人に送信された時間（1970年1月1日からの秒数）",
              "example": 0,
              "default": 1415287568
            },
            {
              "name": "type",
              "kind": "optional",
              "type": "string<FORTER_ORDER_DECISION | ORDER_STATUS_UPDATE | FORTER_ACCOUNT_STATUS_UPDATE | COMPENSATION_REQUEST_UPDATE>",
              "description": "通知の種類。この通知の場合、常にCOMPENSATION_REQUEST_UPDATEです",
              "example": "",
              "default": "COMPENSATION_REQUEST_UPDATE"
            },
            {
              "name": "orderId",
              "kind": "optional",
              "type": "string",
              "description": "補償が要求されたユニークな元の注文/取引識別子",
              "example": "",
              "default": "2356fdse0rr489"
            },
            {
              "name": "accountId",
              "kind": "optional",
              "type": "string",
              "description": "商人のサイトにおける顧客のアカウントUID",
              "example": "",
              "default": "e520-ba9a-367-60b"
            },
            {
              "name": "eventId",
              "kind": "optional",
              "type": "string",
              "description": "商人が初回の補償リクエストでeventIdフィールドに提供した補償リクエストのユニーク識別子",
              "example": "",
              "default": "r48987fgdse0r"
            },
            {
              "name": "correlationId",
              "kind": "optional",
              "type": "string",
              "description": "初回の補償リクエストに対する応答としてフォルターから商人に送信されたユニーク識別子",
              "example": "",
              "default": "2356fdse0rr489"
            },
            {
              "name": "merchantAction",
              "kind": "optional",
              "type": "string<RELEASE | CANCEL>",
              "description": "希望するアクション - ユーザーの補償リクエストの処理を続行するか、ブロックするか",
              "example": "",
              "default": "RELEASE"
            },
            {
              "name": "triggeredBy",
              "kind": "optional",
              "type": "string",
              "description": "補償リクエストを更新したユーザーのメール。最大長は75文字です。",
              "example": "",
              "default": "john_s@test.com"
            },
            {
              "name": "agentComments",
              "kind": "optional",
              "type": "string",
              "description": "ステータス更新の理由に関するエージェントのコメント。最大長は255文字です。",
              "example": "",
              "default": "顧客は正当なようです"
            },
            {
              "name": "linkToEventInForterDashboard",
              "kind": "optional",
              "type": "string",
              "description": "フォルターの決定ダッシュボードにおける元の補償リクエストイベントへのリンク",
              "example": "",
              "default": "https://portal.forter.com/touchpoint/2356fdse0rr489"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": ""
      }
    ],
    "hasXCodeSamples": false,
    "deprecated": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://endpoint.YOURDOMAIN.com/compensationrequestupdatenotification \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data-raw '{\n     \"timestamp\": 1415287568,\n     \"type\": \"COMPENSATION_REQUEST_UPDATE\",\n     \"orderId\": \"2356fdse0rr489\",\n     \"accountId\": \"e520-ba9a-367-60b\",\n     \"eventId\": \"r48987fgdse0r\",\n     \"correlationId\": \"2356fdse0rr489\",\n     \"merchantAction\": \"RELEASE\",\n     \"triggeredBy\": \"john_s@test.com\",\n     \"agentComments\": \"顧客は正当なようです\",\n     \"linkToEventInForterDashboard\": \"https://portal.forter.com/touchpoint/2356fdse0rr489\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"timestamp\": 1415287568,\n   \"type\": \"COMPENSATION_REQUEST_UPDATE\",\n   \"orderId\": \"2356fdse0rr489\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"eventId\": \"r48987fgdse0r\",\n   \"correlationId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"顧客は正当なようです\",\n   \"linkToEventInForterDashboard\": \"https://portal.forter.com/touchpoint/2356fdse0rr489\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://endpoint.YOURDOMAIN.com/compensationrequestupdatenotification\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://endpoint.YOURDOMAIN.com/compensationrequestupdatenotification\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"timestamp\": 1415287568,\n   \"type\": \"COMPENSATION_REQUEST_UPDATE\",\n   \"orderId\": \"2356fdse0rr489\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"eventId\": \"r48987fgdse0r\",\n   \"correlationId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"顧客は正当なようです\",\n   \"linkToEventInForterDashboard\": \"https://portal.forter.com/touchpoint/2356fdse0rr489\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://endpoint.YOURDOMAIN.com/compensationrequestupdatenotification\"\n\npayload = json.dumps({\n   \"timestamp\": 1415287568,\n   \"type\": \"COMPENSATION_REQUEST_UPDATE\",\n   \"orderId\": \"2356fdse0rr489\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"eventId\": \"r48987fgdse0r\",\n   \"correlationId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"顧客は正当なようです\",\n   \"linkToEventInForterDashboard\": \"https://portal.forter.com/touchpoint/2356fdse0rr489\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "73PAXqV73-Hs3a9byI7kT",
      "type": "paragraph",
      "children": [
        {
          "text": "フォルターから商人システムに通常送信されるグレーエリアの決定に関する通知"
        }
      ]
    }
  ]
}